unit H_PDFPages1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Edit2: TEdit;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Label1: TLabel;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    Button13: TButton;
    Button14: TButton;
    Button15: TButton;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button14Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
    procedure Button15Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

function GetPDFFormat(const FileName: PChar; page: LongInt): Integer; stdcall;
function GetPDFPageWidth(const FileName: PChar; page: LongInt): Integer; stdcall;
function GetPDFPageHeight(const FileName: PChar; page: LongInt): Integer; stdcall;
function GetPDFColourStyle(const FileName: PChar): Integer; stdcall;
function GetPDFLayerCount(const FileName: PChar): Integer; stdcall;
function GetPDFPageLayout(const FileName: PChar): Integer; stdcall;
function GetPDFPageMode(const FileName: PChar): Integer; stdcall;
function GetPDFeFonts(const FileName: PChar): PChar; stdcall;
function GetPDFA(const FileName: PChar): PChar; stdcall;
function GetPDFE(const FileName: PChar): PChar; stdcall;
function GetPDFX(const FileName: PChar): PChar; stdcall;
function GetPDFUA(const FileName: PChar): PChar; stdcall;
function GetPDFVT(const FileName: PChar): PChar; stdcall;
function GetFERD(const FileName: PChar): PChar; stdcall;

implementation

{$R *.DFM}

function GetPDFFormat(const FileName: PChar; page: LongInt): Integer; stdcall;
external 'PDFlayout.dll';
function GetPDFPageWidth(const FileName: PChar; page: LongInt): Integer; stdcall;
external 'PDFlayout.dll';
function GetPDFPageHeight(const FileName: PChar; page: LongInt): Integer; stdcall;
external 'PDFlayout.dll';
function GetPDFColourStyle(const FileName: PChar): Integer; stdcall;
external 'PDFlayout.dll';
function GetPDFLayerCount(const FileName: PChar): Integer; stdcall;
external 'PDFlayout.dll';
function GetPDFPageLayout(const FileName: PChar): Integer; stdcall;
external 'PDFlayout.dll';
function GetPDFPageMode(const FileName: PChar): Integer; stdcall;
external 'PDFlayout.dll';
function GetPDFeFonts(const FileName: PChar): PChar; stdcall;
external 'PDFlayout.dll';
function GetPDFA(const FileName: PChar): PChar; stdcall;
external 'PDFlayout.dll';
function GetPDFE(const FileName: PChar): PChar; stdcall;
external 'PDFlayout.dll';
function GetPDFX(const FileName: PChar): PChar; stdcall;
external 'PDFlayout.dll';
function GetPDFUA(const FileName: PChar): PChar; stdcall;
external 'PDFlayout.dll';
function GetPDFVT(const FileName: PChar): PChar; stdcall;
external 'PDFlayout.dll';
function GetFERD(const FileName: PChar): PChar; stdcall;
external 'PDFlayout.dll';

procedure TForm1.Button10Click(Sender: TObject);
begin
     Edit2.Text := GetPDFA(PChar(Edit1.Text));
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
     Edit2.Text := GetPDFE(PChar(Edit1.Text));
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
     Edit2.Text := GetPDFX(PChar(Edit1.Text));
end;

procedure TForm1.Button13Click(Sender: TObject);
begin
     Edit2.Text := GetPDFUA(PChar(Edit1.Text));
end;

procedure TForm1.Button14Click(Sender: TObject);
begin
     Edit2.Text := GetPDFVT(PChar(Edit1.Text));
end;

procedure TForm1.Button15Click(Sender: TObject);
begin
     Edit2.Text := GetFERD(PChar(Edit1.Text));
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
     If OpenDialog1.Execute Then
        Edit1.Text := OpenDialog1.FileName;
end;

procedure TForm1.Button2Click(Sender: TObject);
var s : LongInt;
begin
     Edit2.Text := IntToStr(GetPDFFormat(PChar(Edit1.Text), 1));
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFPageMode(PChar(Edit1.Text)));
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFPageWidth(PChar(Edit1.Text), 1));

end;

procedure TForm1.Button5Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFPageHeight(PChar(Edit1.Text), 1));

end;

procedure TForm1.Button6Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFColourStyle(PChar(Edit1.Text)));

end;

procedure TForm1.Button7Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFLayerCount(PChar(Edit1.Text)));

end;

procedure TForm1.Button8Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFPageLayout(PChar(Edit1.Text)));

end;

procedure TForm1.Button9Click(Sender: TObject);
begin
     Edit2.Text := GetPDFeFonts(PChar(Edit1.Text));

end;

end.







